package com.steerinfo.ems.emswaterrealtime.mapper;

import com.steerinfo.ems.emswaterrealtime.model.EmsWaterRealtime;
import com.steerinfo.ems.trmcalpoint.model.TRmCalpoint;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface EmsWaterRealtimeMapper extends IBaseMapper<EmsWaterRealtime, String> {

    //@TargetDataSource(dataSourceKey = DataSourceKey.DB_OTHER)
    List<EmsWaterRealtime> getWaterListByArmMeter();

    List<TRmCalpoint> getcalpoint();

    List<EmsWaterRealtime> getWaterTenMinutes();

    int insertWaterTenMinutes(HashMap<String, Object> HashMap);

    int updateWaterTenMinutes(HashMap<String, Object> HashMap);

    int updateWaterMinutes(HashMap<String, Object> HashMap);
}